Page MenuHomePhabricator

efl_ui_slider: block scrolling when on slider
ClosedPublic

Authored by bu5hm4n on Mar 24 2019, 5:53 AM.

Details

Summary

when a mouse cursor is over a slider, the mouse wheel should be used to
affect the state of the slider, not also the one of the slider.

ref T2529

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
bu5hm4n created this revision.Mar 24 2019, 5:53 AM

It seems that this patch has no reviewers specified. If you are unsure who can review your patch, please check this wiki page and see if anyone can be added: https://phab.enlightenment.org/w/maintainers_reviewers/

bu5hm4n requested review of this revision.Mar 24 2019, 5:53 AM

I do not understand what do I need to test here. Can you point me to an example like elementary_test?

Its hard to impossible to test this commit. It just holds the scrollers while the mouse is over a slider. there is no example to particulary verify this single commit.

What you can do is, you can check elementary_config before this stack, and after this stack.

Before, you could scroll in the scroller over all the sliders, and the sliders will be changed. Now, the sliders are either not changed, *or* when your mouse is over the slider, the value of the slider is changed, but not the scroller.

zmike added a comment.Mar 25 2019, 6:09 AM

Example unit test: copy the elm_test ui, feed mouse position to be over the slider, attempt to trigger wheel motion and then fail if scroller callbacks trigger.

bu5hm4n updated this revision to Diff 20930.Mar 25 2019, 9:15 AM

added testcase

zmike added a comment.Mar 25 2019, 9:17 AM

Have you verified that this test fails without the corresponding library changes?

bowonryu accepted this revision.Mar 27 2019, 10:16 PM

looks good, this is a feature that should be supported.

This revision is now accepted and ready to land.Mar 27 2019, 10:16 PM
Jaehyun_Cho accepted this revision.Mar 27 2019, 10:42 PM
Closed by commit rEFL62b3759db553: efl_ui_slider: block scrolling when on slider (authored by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain WhyMar 28 2019, 1:39 AM
This revision was automatically updated to reflect the committed changes.